Name: 		aLinux_kde
Version: 	3.5.10
Release: 	21
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
Source0: 	%{name}-%{version}.tar.lzma
Source1:	kside_tile.xcf
Source2:	kside_tiletrans.xcf
Source3:	Torchlight-0.2.0pre4.tar.bz2
Source4:	synaptic.png
Source5:	aLinux_icons.tar.bz2
Source6:	kde.png
Source7:	kmail.png
Source8:	shutdownkonq.xcf
Source9:	kde-4-layer.xcf
Source10:	kde-27-layer.xcf
Source11:	kde-27-layer.mng
Source12:	kde-blend-27-layer-result.png
Source13:	1600x1200-aLinux-gold.xcf
Source14:	1600x1537-aLinux-logo.xcf
Source15:	Background.xcf
Source16:	default-128x128.xcf
Source17:	default.png
Source18:	aLinux-oldnugly-icons.xcf
Source19:	128x128-aLinux-icons.xcf
Source20:	128x128-aLinux-icons-pre-built.tar.bz2
Source21:	1360x1435-aLinux-logo-shutdown.xcf
Source22:	400x248.xcf
Source23:	www.alinux.tv.xcf
Source24:	www.alinux.tv.png
Source25:	VistaUltimatev2.tar.gz
Source26:	youtube-servicemenu-1.5-1.noarch.rpm
Source27:	get_youtube-1.5-1.tar.bz2
Source28:	myfirefox-2.0.0.62-fx.jar
BuildRequires:	crystal clear-style.linspire gtk-qt-engine kbfx lipstik luna-1.0 kwin-decor-suse2 mtaskbar
BuildRequires:  qt-devel mplayer ffmpeg
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment. Please install "aLinux_kde" last, after you've installed 
all main KDE apps. aLinux KDE is basically just a cleaned-K-look.  Always use 
Synaptic Package Manager for installing aLinux rpms.

-
Note to self: Before building aLinux(TM) icon set: i.e. aLinux_icons
1. Place default.png, kmail.png, synpatic.png, etc. in the "apps" directory.
2. Place unknown.png in the "mime" directory.
3. Place exec.png & misc?.png > misc.png in "actions" directory.
4. Symlink a few like klinkstatus.png, etc, for proper branding.

If there not already there - that is.

%prep
rm -rf $RPM_BUILD_ROOT

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/tmp/aLinux_kde
cp %{SOURCE0} $RPM_BUILD_ROOT/tmp/aLinux_kde/

%post
tar xvpf /tmp/aLinux_kde/aLinux_kde*.tar.lzma -C / 2>/dev/null || :
rm -R /tmp/aLinux_kde
chmod 1777 /tmp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %date - linuxkid alinux@alinux.tv
- add missing blue crystal mouse theme default.
- fix up Luxi Sans font size & fixed size.
- add temporary fix for KDE print.
- default KNetwork to Slackware 10.2.
- make sure KDE knows its pre-linked.
- add CTP/Loop/Goom effects for KMP/Xine.
- add clamav block from kdm - 20080901
- disable blur kwincrystalrc slow bug 20080913
- disable desktop storagemedia 20080921
- remove location bar text - 20090225
- cleanup home direcory - 20090225
- add KMPlayer to kickerrc - 20090225
- remove cookie/secure login from konq
- add firefox to desktop and kicker
- remove xterm and home from desktop
- add kcmnspluginrc for konq. plug-ins
- adjust kmplayer volume.
- mv /usr/X11 icons to /etc/X11 for xorg
- re-do kmplayerrc - fixed size / OpenGL
- add opt/kde/share/config/kdesurc (Keep password)
- disable keyboard gestures xxx/config/kaccessrc
- change ~/My Documents to ~/My Downloads
- add ./kde/share/config/kmilodrc to configure OSD volume
- add file associations for lzma/xz (still no mime.type set)